Index: install.php
===================================================================
--- install.php	(revision 14094)
+++ install.php	(working copy)
@@ -1169,10 +1169,21 @@
 				// step is allowed for application usage & it was not initialized in previous step
 				global $start, $debugger, $dbg_options, $vars;
 				include_once(FULL_PATH.'/core/kernel/startup.php');
-
+			
+				// include modules contants definition before initializing the application
+				$modules = $this->ScanModules();
+				if ($modules) {
+					foreach ($modules as $module_path) {
+						$module_constants = MODULES_PATH . '/' . $module_path . '/constants.php';
+						if ( file_exists($module_constants) ) {
+							include_once($module_constants);
+						}
+					}
+				}
+				
 				$this->Application =& kApplication::Instance();
 				$this->toolkit->Application =& kApplication::Instance();
-
+				
 				$this->Application->Init();
 
 				$this->Conn =& $this->Application->GetADODBConnection();
